Last Comment Bug 153001 - Need a mechanism to unload plugin dlls safely
: Need a mechanism to unload plugin dlls safely
Status: RESOLVED WONTFIX
[PL2:NA]
:
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 All
P2 normal with 3 votes (vote)
: mozilla1.3beta
Assigned To: Peter Lubczynski
:
: Benjamin Smedberg [:bsmedberg]
Mentors:
Depends on: 167474
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-19 19:14 PDT by av (gone)
Modified: 2013-02-13 09:06 PST (History)
12 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image av (gone) 2002-06-19 19:14:26 PDT
This bug can be considered an independent task or as an action item for the
future development work.

XPConnected plugins need some special treatment when we decide to shut them down
and unload their dlls from memory. XPCOM may have outstanding references to the
plugin scriptable object and currently we don't have a reliable way to determine
when all plugin related ref counts get down to zero and the dll can be unloaded.

I think there can be different approaches to address the issue, we can probably
briefly exchange ideas here.
Comment 1 User image av (gone) 2002-06-19 19:26:03 PDT
reassigning to myself
Comment 2 User image Doug Turner (:dougt) 2002-06-21 17:28:40 PDT
Only unload these plugins when XPCOM broadcasts the shutdown notification.  Also
we need to ensure that developers of these plugins get the message that after
this notification all outstanding refereces to mozilla are invalid.
Comment 3 User image rubydoo123 2002-07-30 14:15:18 PDT
adding nsbeta1+
Comment 4 User image rubydoo123 2002-12-06 14:13:45 PST
moving to 1.3 beta, this should get resolved for 1.3 
Comment 5 User image Peter Lubczynski 2003-02-03 15:40:36 PST
--->taking av's nsbeta1+ bugs
Comment 6 User image AndrewM 2007-10-13 10:00:34 PDT
Target milestone should be changed, mozilla1.3beta was a long time ago.

Note You need to log in before you can comment on or make changes to this bug.